
#文件根目录
sys.path=/workflow

#模块资源文件目录
assets.path=/workflow/assets

#第三方插件资源文件目录
front.path=/workflow/plugins

#公共页面
common.path=/workflow/common

#初始化安装文件目录
init.path=/init

#初始化安装模块
init.module.path=workflow

#管理端请求路径
url.prefix=/horizon/workflow

#URL请求后缀
url.suffix=.wf

#视图路径
view.prefix=/workflow
view.suffix=.html

#布局 top/top-left/top-left-hoversubmenu/bottom-left/bottom-left-hoversubmenu/left/left-hoversubmenu
layout.engine=bottom-left

#默认展开框架右侧树
layout.fixedModal=true

#嵌入 embed
embed=

#允许上传文件大小
maxUploadSize=10485760

#允许上传普通附件的类型
fileFormat=doc;txt;xls;ppt

#允许上传图片的类型
imgFormat=png;gif;svg;bmp

#保存文件的类型,0为保存到物理机文件系统，1为保存至数据库
saveType=0

#附件上传路径
store.path=D:/_tmp

#上传文件是否需要加密
file.isNeedEncode = false

#产品默认初始化方式  1:租户模式  3:单利模式
initFlag=3

#实时记录开关，0-不记录，1记录
realtimeflag=1

#实时数据保留时间，单位“天”，超过三天数据将按天进行归档
keeptime=1

#WorkflowContextFilter过滤器不需要拦截的地址列表,中间用逗号分隔,
#注意：不能换行。根据配置，除了jsp,实际请求地址类似：url.prefix+下列地址+url.suffix
sessionExceptiveURL=/index.html;/index_system.html;/login/tenant;/login/system;/system/tenant/login;/workflow/module/workflow/flow.info.html;/flowchart/chartdata;/workflow/module/designer/index_1.html

#流程框架页面固定右侧信息
workflow.fixedModal=false

#流程前端设置消息发送类型Mail;Msg;SMS;IM
workflow.messageType=

#流程启动是否自动到第一个任务节点
workflow.autoFirstNode=true

#流程无法计算出办理人时,使用默认办理人
workflow.openDefAuthor=false

#流程在测试是否保存业务数据:默认保存
workflow.unCommitData=false

#流程[退回]操作时选择办理人
workflow.reject.selectAuthor=false

#流程[任意退回]操作时选择办理人
workflow.jumpreject.selectAuthor=false

#如果设置读者，流程提交自动过滤去掉subjection
workflow.replace.subjection=true

#流程[自由提交]坐标设置
workflow.freesubmit.axis=true

#流程执行以下操作不执行表单验证֤
workflow.unValidate=reject;jumpreject;innerreject;getback;save;close;move;goto;pause;stop;subflow;replace

#流程框架导入页面(/module/workflow/page.import.ftl)
workflow.import=
 
#当前语言
localeVal=zh_CN

#token 过期时间(分钟)
token.timeout=7200

#500错误页面
errorpage500=

#产品分类
product=workflow

#develop:开发模式
#product:产品模式
run.mode=develop

#启动定时任务默认true, 停止启动为false
task.start=true
#批量处理个数(用户配置数据库关键字in中的数据个数默认900最大1000.神通数据库请配置200;最大255)
batch.number=200

#初始化数据时是否忽略连接失败的数据源
ignore.dataSource.connFail=false
#是否解析主办组织机构为人员
workflow.authorParsingToUser=false

# 解析组织机构类型D (部门(不包含子部门)) P(岗位) G(群组) ;分隔
workflow.authorParsingType=D;

#启动是否加载全部组织机构信息
orgData.loadAll=true

#组织机构搜索框最大返回数目
orgData.searchMax=100
#程序应用名称
server.name=workflow
#程序应用监控是否打开
server.monitor.open=true
#程序程序运行记录频率5分钟一次
server.runRecord.step=5
#jvm内存运行记录频率30分钟一次
server.jvmRecord.step=30
#cpu占用率情况记录频率30分钟一次
server.cpuRecord.step=30
#磁盘空间记录频率60分钟一次
server.diskRecord.step=60
#接口请求响应时间间隔记录
server.requestRecord.step=10
#流程域数据刷新时间5分钟一次
flowArea.refresh.time=5
#流程实例严重超期天数限制
monitor.overexceed.day=2

#jar包启动时.properties配置文件和license文件生成的文件夹路径
#路径为绝对路径，路径之间以 "/" 作为分隔符,例如: C:/test/conf
#文件夹名不要含有特殊字符,不进行设置时默认为当前用户目录
horizon.home=data

#首页URl
home.url=/manager/index

#是否开启租户授权校验
isValidateOfTenant=false

#initFieldLength.varchar=4
